<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
require("includes/function.php");

$zdir = $dbname;
$zcomp = 1;
$zdbroot = $zdir;
$focusfield = "user";
$zroot = $_SESSION["zdbroot"];
$zroot1 = substr($zroot, 0, -4);
//browse($zroot1);
$user = $_SESSION["username_" . $dbname];
$comp = $_SESSION["comp_" . $dbname];
$getusercode = mysqli_query($conn, "SELECT * FROM `usermain` WHERE `username`='$user'")or die(musql_error());
$gusercode = mysqli_fetch_array($getusercode);
$usercode = $gusercode['code'];
$usertype = $gusercode['usertype'];

if (isset($_POST["submit"])) {

    $syear = $_POST["cmbyear"];
    $admin = $_SESSION["admin_" . $dbname];
    $comp = $_SESSION["comp_" . $dbname];
//    $_SESSION["zdbyear_" . $dbname] = $zroot1 . $comp . '_' . $_POST["cmbyear"];
    $_SESSION["zdbyear_" . $dbname] = $zroot1 . '1_' . $_POST["cmbyear"];

    $_SESSION["tit_" . $dbname] = $_POST["cmbyear"];

    $year1 = mysqli_query($conn, "SELECT DATE_FORMAT(`startdate`, '%d-%m-%Y') as mfrdt, DATE_FORMAT(`lastdate`, '%d-%m-%Y') as mtodt FROM `compyear` WHERE finyear = '$syear' ") OR die(mysqli_error($conn));
    $cyear = mysqli_fetch_array($year1);
    $zsdate = $cyear['mfrdt'];
    $zedate = $cyear['mtodt'];
    $myr = $_POST["cmbyear"];
    $mdb = $_SESSION["zdbyear_" . $dbname];
    $_SESSION["zdbyear_" . $zsdate] = $zsdate;
    $_SESSION["zdbyear_" . $zedate] = $zedate;
    $_SESSION[$myyear] = $myr;
    browse($_SESSION["zdbyear_" . $dbname]);

    header("Location: menu.php");
}

include("includes/linkshead.php");
?>
<script>
    $(document).ready(function () {
        var year = $('#cmbyear').val();
        function showyear() {
            $.ajax({
                type: "GET",
                url: "ajaxyear.php",
                data: {qyear: year},
                success: function (result) {
                    $("#date").html(result);
                }
            });
            $('#date').css("height", "60px");
        }
        showyear();
    });
</script>
</head>

<body class="animated fadeIn">
    <section id="login-container">

        <div class="row">
            <div class="col-md-3" id="login-wrapper">
                <div class="panel panel-primary animated flipInY">
                    <div class="panel-heading">
                        <h3 class="panel-title">     
                            Select Year
                        </h3>      
                    </div>
                    <div class="panel-body">
                        <p> Login to access your account.</p>
                        <form class="form-horizontal" action='' method="POST">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <select id='cmbyear' name="cmbyear"  class="form-control select2" onchange="return showyear();"  style="height:33px;width: 100%">
                                        <?php
//                                        $year = mysqli_query($conn, "SELECT * FROM `compyear` WHERE `cono`='$comp' order by `lastdate` DESC") OR die(mysqli_error($conn));
                                        $year = mysqli_query($conn, "SELECT * FROM `compyear` WHERE `cono`='1' order by `lastdate` DESC") OR die(mysqli_error($conn));
                                        while ($row = mysqli_fetch_array($year)) {
                                            echo "<option value=\"$row[finyear]\">$row[yearname]</option>";
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-12">
                                    <input type='submit' name='submit' value="SUBMIT" class="btn btn-primary btn-block" autofocus>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <?php include("includes/linksfoot.php") ?>
</body>
</html>
